-- Work Order Tooltips
-- by Jadya - EU-Well of Eternity

local addonTitle, addonTable = ...

WorkOrderTooltip = {}
-- main panel
WorkOrderTooltip.panel = CreateFrame("Frame", "WorkOrderTooltip_Config", UIParent)
local mainframe = WorkOrderTooltip.panel
mainframe:Hide()
mainframe.name = "Work Order Tooltips"
InterfaceOptions_AddCategory(mainframe)
-- title
mainframe.title = mainframe:CreateFontString()
mainframe.title:SetFont("Fonts\\ARIALN.ttf", 16, "")
mainframe.title:SetText("|cff00FF00WorkOrderTooltip|r\n|cff999999by |cff69CCF0Jadya|r|cff999999 (EU - Well of Eternity)|r")
mainframe.title:SetPoint("TOP", mainframe, "TOP", 0, -10)
-- desc
mainframe.desc = mainframe:CreateFontString()
mainframe.desc:SetFont("Fonts\\ARIALN.ttf", 16, "")
mainframe.desc:SetText("|cff999999This addon relies on friendly nameplates and automatically enables/disables\n"
                       .."them when you enter or leave your Garrison. If you want to keep the addon from doing this,\n"
					   .."turn on this option:|r")
mainframe.desc:SetPoint("TOPLEFT", mainframe, "TOPLEFT", 10, -80)
-- don't touch nameplate options
mainframe.changeplates = CreateFrame("CheckButton", "WOT_Checkbox1", mainframe, "OptionsCheckButtonTemplate")
_G[mainframe.changeplates:GetName().."Text"]:SetText("Don't touch my nameplate settings!")
mainframe.changeplates:SetPoint("TOPLEFT", mainframe.desc, "TOPLEFT", 0, -50)
mainframe.changeplates:SetScript("OnClick", function()
  WOTSaves.changeplates = mainframe.changeplates:GetChecked() and true or false
 end)

-- range
mainframe.lblscale = mainframe:CreateFontString()
mainframe.lblscale:SetFont("Fonts\\ARIALN.ttf", 13, "")
mainframe.lblscale:SetText("Tooltip scale: ")
mainframe.lblscale:SetPoint("TOPLEFT", mainframe.changeplates, "TOPLEFT", 10, -50)
mainframe.scale = CreateFrame("Slider", "WOT_Slider0", mainframe, "OptionsSliderTemplate")
mainframe.scale:SetPoint("LEFT", mainframe.lblscale, "RIGHT", 5, 0)
mainframe.scale:SetMinMaxValues(0.4, 2)
_G[mainframe.scale:GetName() .. 'Low']:SetText("0.4")
_G[mainframe.scale:GetName() .. 'High']:SetText("2")
mainframe.scale:SetValueStep(0.1)
mainframe.scale:SetScript("OnValueChanged", function(self, value) 
   local v = math.floor(value * 10) / 10
   WOTSaves.scale = v
   addonTable:updateTooltipsScale(v)
   _G[mainframe.scale:GetName() .. 'Text']:SetText(v)
  end)
  
function addonTable:SetupConfigFrame()
 mainframe.changeplates:SetChecked(WOTSaves.changeplates)
 mainframe.scale:SetValue(WOTSaves.scale or 1)
end